Inboxes

View as Markdown

List Inboxes

GET
/agent/v0/pods/{pod_id}/inboxes

Path Parameters

pod_id*string

ID of pod.

Query Parameters

limit?integer

Limit of number of items returned.

page_token?string

Page token for pagination.

ascending?boolean

Sort in ascending temporal order.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/pods/string/inboxes" \  -H "Authorization: string"
{
  "count": 0,
  "limit": 0,
  "next_page_token": "string",
  "inboxes": [
    {
      "pod_id": "string",
      "inbox_id": "string",
      "email": "string",
      "display_name": "string",
      "client_id": "string",
      "updated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "name": "string",
  "message": "string"
}

Create Inbox

POST
/agent/v0/pods/{pod_id}/inboxes

Path Parameters

pod_id*string

ID of pod.

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.agentry.to/agent/v0/pods/string/inboxes" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "pod_id": "string",
  "inbox_id": "string",
  "email": "string",
  "display_name": "string",
  "client_id": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "name": "string",
  "errors": null
}

Get Inbox

GET
/agent/v0/pods/{pod_id}/inboxes/{inbox_id}

Path Parameters

pod_id*string

ID of pod.

inbox_id*string

The ID of the inbox.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/pods/string/inboxes/string" \  -H "Authorization: string"
{
  "pod_id": "string",
  "inbox_id": "string",
  "email": "string",
  "display_name": "string",
  "client_id": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "name": "string",
  "message": "string"
}

Update Inbox

PATCH
/agent/v0/pods/{pod_id}/inboxes/{inbox_id}

Path Parameters

pod_id*string

ID of pod.

inbox_id*string

The ID of the inbox.

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

display_name*string

Display name: Display Name <username@domain.com>.

Response Body

application/json

application/json

curl -X PATCH "https://api.agentry.to/agent/v0/pods/string/inboxes/string" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "display_name": "string"  }'
{
  "pod_id": "string",
  "inbox_id": "string",
  "email": "string",
  "display_name": "string",
  "client_id": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "name": "string",
  "message": "string"
}

Delete Inbox

DELETE
/agent/v0/pods/{pod_id}/inboxes/{inbox_id}

Path Parameters

pod_id*string

ID of pod.

inbox_id*string

The ID of the inbox.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X DELETE "https://api.agentry.to/agent/v0/pods/string/inboxes/string" \  -H "Authorization: string"
Empty
{
  "name": "string",
  "message": "string"
}